Bug 24066 - Koha::Patron->has_permission has no POD
Summary: Koha::Patron->has_permission has no POD
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 17454
  Show dependency treegraph
 
Reported: 2019-11-19 14:01 UTC by Martin Renvoize
Modified: 2020-04-02 16:28 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24066: Add missing POD for has_permission (786 bytes, patch)
2019-11-19 14:04 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24066: Add missing POD for has_permission (1004 bytes, patch)
2020-02-26 19:12 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24066: Add missing POD for has_permission (1.08 KB, patch)
2020-03-06 11:27 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-11-19 14:01:05 UTC
As the title says, Missing POD for Koha::Patron object.
Comment 1 Martin Renvoize 2019-11-19 14:04:14 UTC
Created attachment 95552 [details] [review]
Bug 24066: Add missing POD for has_permission
Comment 2 Bernardo Gonzalez Kriegel 2020-02-26 19:12:08 UTC
Created attachment 99673 [details] [review]
Bug 24066: Add missing POD for has_permission

To test:
1) do perldoc Koha/Patron.pm
   search has_permission

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Fixed (removed) space before 'my $permission' to make it similar to
other entries.
No errors
Comment 3 Martin Renvoize 2020-02-26 22:10:08 UTC
Thanks Bernardo..

Hmm, perhaps I should do an indent on the rest of the aPOD entriws.. the indentation is actually a POD formatting thing, it denotes 'codeblock'
Comment 4 Marcel de Rooy 2020-03-06 11:26:22 UTC
=POD
See also
=cut

Great! :)
Comment 5 Marcel de Rooy 2020-03-06 11:27:03 UTC
Created attachment 100251 [details] [review]
Bug 24066: Add missing POD for has_permission

To test:
1) do perldoc Koha/Patron.pm
   search has_permission

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Fixed (removed) space before 'my $permission' to make it similar to
other entries.
No errors

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Martin Renvoize 2020-03-06 15:04:23 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-04-02 16:28:04 UTC
I encounter a qa error with this patch
 FAIL   Koha/Patron.pm
   OK     critic
   OK     forbidden patterns
   OK     git manipulation
   OK     pod
   FAIL   pod coverage
                POD is missing for 'trim_whitespaces'
   OK     spelling
   OK     valid

not backporting to 19.11.x